from django.urls import path

from .views import (
    AccountFormView,
    PreferencesFormView,
    events,
    lineup_submit,
    roster,
    roster_import,
    stats,
    teams,
)

urlpatterns = [
    path("account/", AccountFormView.as_view(), name="gamechanger_account"),
    path("preferences/", PreferencesFormView.as_view(), name="gamechanger_preferences"),
    path("roster/import", roster_import, name="gamechanger_import_roster"),
    path("roster", roster, name="gamechanger_roster"),
    path("lineup/submit", lineup_submit, name="gamechanger_lineup_submit"),
    path("stats", stats, name="gamechanger_stats"),
    path("teams", teams, name="gamechanger_teams"),
    path("events", events, name="gamechanger_events"),
]
